<?php
/**
*
* @package Youtube [thumb] on Forum Index  v.0.0.1
* @version $Id: functions_youtube_thumb.php 2356 2010-12-07 02:31:52Z 4seven $
* @copyright (c) 2010 / 4seven
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* @ignore
*/
if (!defined('IN_PHPBB'))
{
	exit;
}


//------------------------------------------------------------
// ----------------SETTINGS--1------------------
// forum id's that will show thumbs  of videos
$affected_forum_tube = array(15,19,17,20);
// enter as given: (7,8,9) 
// --------------------------------------------------
// make thumbs in first-post from: first, last or both videos
$f_l_b_videos = 2;
// enter as given: first = 0  /  last = 1  / both = 2 
// --------------------------------------------------
// show hover in thumbs in hq-size
$youtube_hover = 1;
// enter as given: yes =  1  /  no = 0 
// --------------------------------------------------
// thumb image width - original is: 120x90
// so reduce adequate: 100x75 - 80x60 - 60x45 - 40x30 etc.
$y_thumb_width = 100;
$y_thumb_height = 75;
// enter as given: alphanumeric
// ----------------SETTINGS--1------------------
//------------------------------------------------------------


// hover switch and size of thumb
$template->assign_vars(array(
'S_YOUTUBE_HOVER'  => ($youtube_hover == 1) ? true : false,
'Y_THUMB_WIDTH'    => (int) $y_thumb_width,
'Y_THUMB_HEIGHT'   => (int) $y_thumb_height,
'T_THUMB_WIDTH'    => (int) $y_thumb_width + 4
));

// categories are no forums
if (isset($topic_tube)){

// build pre-environment
$sql_tube = 'SELECT post_id, p.topic_id, p.forum_id, p.post_text 
FROM     ' . POSTS_TABLE . ' p, ' . TOPICS_TABLE . ' t
WHERE    ' . $db->sql_in_set('p.topic_id', $topic_tube) . '
AND      ' . $db->sql_in_set('p.forum_id', $affected_forum_tube) . '
AND          post_id = topic_first_post_id
AND          post_text LIKE "%youtube%watch?v=%"';
 
$result_tube = $db->sql_query_limit($sql_tube, sizeof($topic_tube));
$rows_tube   = $db->sql_fetchrowset($result_tube);
 
$topic_tube  = array_flip($topic_tube);

// tube-path twice, so nothing failed on two thumbs
$tube_path_1 = append_sid($phpbb_root_path . 'viewtopic.' . $phpEx, array('t' => '%1$s', 'p' => '%2$s', '#' => 'p' . '%2$s'));
$tube_path_2 = append_sid($phpbb_root_path . 'viewtopic.' . $phpEx, array('t' => '%1$s', 'p' => '%2$s', '#' => 'p' . '%2$s'));

foreach($rows_tube as $row_tube){

// is any watchmode given ?
if(strpos($row_tube['post_text'], '/watch?v=') !== false){

$rownr          = $topic_tube[$row_tube['topic_id']];

// postlink
$tube_lnk_1     = sprintf($tube_path_1, $row_tube['topic_id'], $row_tube['post_id']);
$tube_lnk_2     = sprintf($tube_path_2, $row_tube['topic_id'], $row_tube['post_id']);

// grab text
$row_tube       = $row_tube['post_text'];

// tube rows
$row_tube_1     = strstr($row_tube, '?v=');
$row_tube_1     = substr($row_tube_1, 3, 11);
$row_tube_1     = @sprintf($row_tube_1);

$row_tube_2     = strrchr($row_tube, '?v=');
$row_tube_2     = substr($row_tube_2, 3, 11);
$row_tube_2     = @sprintf($row_tube_2);

// spit out
$template->alter_block_array('topicrow', array(
		
'TUBE_IMG_1'    => (isset($row_tube_1) && ($f_l_b_videos == 0 || $f_l_b_videos == 2)) ? $row_tube_1 : false,
'TUBE_IMG_2'    => ((isset($row_tube_2) && isset($row_tube_2)) && ($f_l_b_videos == 1 || $f_l_b_videos == 2) && ($row_tube_1 !== $row_tube_2)) ? $row_tube_2 : false,
'TUBE_LNK_1'    => $tube_lnk_1,
'TUBE_LNK_2'    => $tube_lnk_2	
			 
), $rownr, 'change');

}

}

$db->sql_freeresult($result_tube);	

}

?>